HQ APIAds
Retrieve an ad
Retrieves a single ad by ID.
GET
/v1/hq/ads/{ad_id}AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
ad_id*string
Query Parameters
select?array<string>
expand?array<string>
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/ads/string"{
"id": "string",
"company_id": "string",
"name": "string",
"status": "draft",
"creative": {
"type": "image",
"image": {
"thumb": "https://placekitten.com/200/200",
"image": "https://placekitten.com/200/300",
"public_id": "https://placekitten.com/200/300",
"type": "thumbnail",
"provider": "cloudinary",
"width": 200,
"height": 300,
"bytes": 95849
}
},
"language": "string",
"placement": {
"type": "discovery",
"discovery": {
"ad_placement_id": "string"
}
},
"action": {
"type": "company"
},
"rejection_reason": "string",
"reviewed_by": "string",
"reviewed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty